package com.jeeplus.modules.sg.managementcenter.moduleacquisition.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.io.Externalizable;
import java.io.Serializable;

public class ModuleBlock extends DataEntity<ModuleBlock>{
    private String mdBigClass;
    private String mdTheClass;
    private String mdSmallClass;
    private String mdUnit;
    private String mdImg;
    private Integer mdBigSort;
    private Integer mdTheSort;
    private Integer mdSmallSort;
    private String mdVersion;//版本号
    private String mdVersionName;//版本名称

    public String getMdVersionName() {
        return mdVersionName;
    }

    public void setMdVersionName(String mdVersionName) {
        this.mdVersionName = mdVersionName;
    }

    public String getMdBigClass() {
        return mdBigClass;
    }

    public void setMdBigClass(String mdBigClass) {
        this.mdBigClass = mdBigClass;
    }

    public String getMdTheClass() {
        return mdTheClass;
    }

    public void setMdTheClass(String mdTheClass) {
        this.mdTheClass = mdTheClass;
    }

    public String getMdSmallClass() {
        return mdSmallClass;
    }

    public void setMdSmallClass(String mdSmallClass) {
        this.mdSmallClass = mdSmallClass;
    }

    public String getMdUnit() {
        return mdUnit;
    }

    public void setMdUnit(String mdUnit) {
        this.mdUnit = mdUnit;
    }

    public String getMdImg() {
        return mdImg;
    }

    public void setMdImg(String mdImg) {
        this.mdImg = mdImg;
    }

    public Integer getMdBigSort() {
        return mdBigSort;
    }

    public void setMdBigSort(Integer mdBigSort) {
        this.mdBigSort = mdBigSort;
    }

    public Integer getMdTheSort() {
        return mdTheSort;
    }

    public void setMdTheSort(Integer mdTheSort) {
        this.mdTheSort = mdTheSort;
    }

    public Integer getMdSmallSort() {
        return mdSmallSort;
    }

    public void setMdSmallSort(Integer mdSmallSort) {
        this.mdSmallSort = mdSmallSort;
    }

    public String getMdVersion() {
        return mdVersion;
    }

    public void setMdVersion(String mdVersion) {
        this.mdVersion = mdVersion;
    }
}
